Retrieve real-time operational metrics and connection details
deprecated
Retrieve real-time operational metrics and connection details
Authentication: required
Required API Scope: Instance Workspace: Read
GET
/
workspace
/
{workspace_id}
/
realtime
Retrieve real-time operational metrics and connection details
curl --request GET \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/realtime \
--header 'Authorization: Bearer <token>'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/realtime"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/realtime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"hash": "Dl3HlakmBZDhezv6yml7hliTM20",
"channels": [
{
"anonymous_clients": true,
"client_authenticated_messaging": true,
"client_private_messaging": true,
"client_private_messaging_authenticated_only": true,
"client_public_messaging": true,
"client_public_messaging_authenticated_only": true,
"description": "<string>",
"enabled": true,
"id": 123,
"pattern": "<string>",
"presence": true,
"wildcard": true
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Was this page helpful?
Create a new realtime channel using XanoScript
Previous
Update real-time settings and connection configuration
Next
⌘I
Retrieve real-time operational metrics and connection details
